<script type="text/javascript">
	
	$( "input[name^='pedido_']" ).on('change', doPedido);

	function doPedido(event)
	{
		console.log(event);
        var $id = event.currentTarget.attributes.id.value;
        var $movimientoID = event.currentTarget.attributes.movimientoID.value;
        var $pedido = parseInt(event.currentTarget.value);
        var $min = parseInt(event.currentTarget.attributes.min.value);
        var $max = parseInt(event.currentTarget.attributes.max.value);

        if($pedido > $max)
        {
        	alert("Lo que pides no puede ser mayor a: " + $max);
        	$("#"  + event.currentTarget.attributes.id.value).val('0');
        }else if($pedido < $min)
        {
        	alert("Lo que pides no puede ser menor a: " + $min);
        	$("#"  + event.currentTarget.attributes.id.value).val('0');
        }else if($pedido > 0)
        {
        	guardaPedido($id, $movimientoID, $pedido);
        	$("#"  + event.currentTarget.attributes.id.value).focus();
        }
        
	}

	function guardaPedido($id, $movimientoID, $pedido)
	{
        var $url = '<?php echo site_url('almacen/guardaPedido'); ?>';;
        var $variables = { id : $id, movimientoID : $movimientoID, pedido: $pedido };

        var posting = $.post( $url, $variables );
        
         posting.done(function( data ) {
            
            
         });
	}

	$("#cierre").on('click', doCierre);

	function doCierre(event)
	{
		if(confirm("Esta seguro de cerrar este pedido ?"))
		{
			return true;
		}else{
			event.preventDefault();
			return false;
		}
	}

</script>